# The 22 sites used in Nyhan's paper, constructed starting with one of Silverman's lists (of individual articles) and filtering out 
# sites labeled as covering "hard news topics", using Bakshy's classifier.
# Silverman source list: see https://www.buzzfeed.com/craigsilverman/viral-fake-election-news-outperformed-real-news-on-facebook, 
# data at https://docs.google.com/spreadsheets/d/1ysnzawW6pDGBEqbXqeYuzWa7Rx2mQUip6CXUUUk4jIk.

nyhan <- c(
  "abcnews.com.co", 
  "americanmilitarynews.com", 
  "bizstandardnews.com", 
  "burrardstreetjournal.com", 
  "conservativedailypost.com", 
  "conservativestate.com", 
  "denverguardian.com", 
  "departed.co", 
  "donaldtrumpnews.co", 
  "endingthefed.com", 
  "everynewshere.com", 
  "libertywritersnews.com", 
  "redstatewatcher.com", 
  "rickwells.us", 
  "subjectpolitics.com", 
  "tmzhiphop.com", 
  "truepundit.com", 
  "usanewsflash.com", 
  "winningdemocrats.com", 
  "worldnewsdailyreport.com", 
  "worldpoliticus.com", 
  "yesimright.com"
)

# Retrieved from https://www.dartmouth.edu/~nyhan/fake-news-2016.pdf on Jan 2018
# Guess, Andrew, Brendan Nyhan, and Jason Reifler. "Selective Exposure to 
# Misinformation: Evidence from the consumption of fake news during the 2016 US 
# presidential campaign." (2018).
# List is based off Allcott and Genztkow's work.
# Excluding ijr.com because we labelled it as Green based on on a variety of 
# good journalistic practices and Snopes considers it a trusted source. 
nyhan_new <- c(
  "24usainfo.com",
  "abcnews.com.co",
  "aldipest.com",
  "americanflare.com",
  "americanjournalreview.com",
  "americasnewest.com",
  "angrypatriotmovement.com",
  "awarenessact.com",
  "bients.com",
  "bigbluevision.org",
  "bignuggetnews.com",
  "bipartisanreport.com",
  "buzzfeedusa.com",
  "chicksontheright.com",
  "choiceandtruth.com",
  "christiantimesnewspaper.com",
  "chuckcallesto.blogspot.com",
  "consciouslyenlightened.com",
  "conservativedailypost.com",
  "conservativefiringline.com",
  "conservativeinsider.co",
  "conservativestudio.com",
  "consnation.com",
  "cooltobeconservative.com",
  "daily-sun.com",
  "dailyheadlines.net",
  "dailyoccupation.com",
  "dailypresser.com",
  "dailywire.com",
  "departed.co",
  "dineal.com",
  "donaldtrumpnews.co",
  "embols.com",
  "endingthefed.com",
  "eutimes.net",
  "everynewshere.com",
  "fanzinger.com",
  "freedomsfinalstand.com",
  "friendsofsyria.wordpress.com",
  "fury.news",
  "greenvillegazette.com",
  "guerilla.news",
  "halturnershow.com",
  "ihavethetruth.com",
  # "ijr.com",
  "ilovemyfreedom.org",
  "intrendtoday.com",
  "ipatriot.com",
  "libertywritersnews.com",
  "mainerepublicemailalert.com",
  "mediazone.news",
  "morningnewsusa.com",
  "msfanpage.link",
  "myfreshnews.com",
  "nationalinsiderpolitics.com",
  "nevo.news",
  "politicops.com",
  "prntly.com",
  "redstatewatcher.com",
  "rickwells.us",
  "statenation.co",
  "stateofthenation2012.com",
  "superstation95.com",
  "tdnewswire.com",
  "thefreepatriot.org",
  "theinternationalreporter.org",
  "thenewsclub.info",
  "therealstrategy.com",
  "therightists.com",
  "tmn.today",
  "truthfeed.com",
  "truthkings.com",
  "usadailyinfo.com",
  "usadailytime.com",
  "usanewsflash.com",
  "usapoliticsnow.com",
  "usapoliticstoday.com",
  "usasupreme.com",
  "usatodaypolitics.com",
  "ushealthyadvisor.com",
  "usherald.com",
  "uspoln.com",
  "vesselnews.io",
  "wearechange.org",
  "westernsentinel.com",
  "whatdoesitmean.com",
  "whatsupic.com",
  "worldinformation24.info",
  "worldnewspolitics.com",
  "worldpoliticus.com",
  "yesimright.com",
  "zootfeed.com"  
)
